aboutsummaryrefslogtreecommitdiff
path: root/performance-test
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2017-05-27 13:51:14 -0300
committerDavid Bremner <david@tethera.net>2017-05-30 09:02:17 -0300
commite86fa3226cbd3c28106828f079a9c0d5d27299b8 (patch)
treeb9f2a6cea100f4d034f9d8e8c3ba903bdfb4b4c0 /performance-test
parent331310c4bae664e557909805db25239bb14ec484 (diff)
perf-test: add memory test for reply
Looking at the code for notmuch-reply, there seems to be several gmime related memory leaks. This test is supposed to help eliminate those.
Diffstat (limited to 'performance-test')
-rwxr-xr-xperformance-test/M04-reply.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/performance-test/M04-reply.sh b/performance-test/M04-reply.sh
new file mode 100755
index 00000000..0e1ce087
--- /dev/null
+++ b/performance-test/M04-reply.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+test_description='search'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+for id in $(notmuch search --output=messages '*' | shuf -n 5); do
+ memory_run "reply $id" "notmuch reply \"$id\" 1>/dev/null"
+ memory_run "reply --format=json $id" "notmuch reply --format=json \"$id\" 1>/dev/null"
+ memory_run "reply --format=sexp $id" "notmuch reply --format=sexp \"$id\" 1>/dev/null"
+done
+
+memory_done